<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            
            <xsd:include schemaLocation="ColorComponent.xsd"/>
            
            <xsd:complexType name="Color">
                <xsd:annotation>
                    <xsd:documentation>
                    A color is an empty element with the description of the four color
                    components (r for red, g for green, b for blue and a for alpha channel)
                    </xsd:documentation>
                </xsd:annotation>
                <xsd:complexContent> 
                    <xsd:restriction base="xsd:anyType"> 
                        <xsd:attribute name="r" type="ColorComponent" use="required"/>
                        <xsd:attribute name="g" type="ColorComponent" use="required"/>
                        <xsd:attribute name="b" type="ColorComponent" use="required"/>
                        <xsd:attribute name="a" type="ColorComponent" use="required"/>
                    </xsd:restriction>
                </xsd:complexContent> 
            </xsd:complexType>
                    
</xsd:schema>